#!/usr/bin/python3
# Jednosměrné spojové seznamy s předáváním na začátek

import sys

class MyNode:
    def __init__(self, x):
        # Každy prvek si pamatuje hodnotu a následníka
        self.value = x
        self.next = None

class MyList:
    def __init__(self):
        # Seznam si pamatuje odkaz na svůj první prvek
        self.first = None

    def prepend(self, x):
        """Zapojí prvek se zadanou hodnotu na začátek seznamu."""
        n = MyNode(x)
        n.next = self.first
        self.first = n

    def print(self):
        n = self.first
        while n:
            print(n.value)
            n = n.next

l = MyList()
for a in sys.stdin:
    l.prepend(int(a))

l.print()
